Subject: Re: bug#79406: [PATCH] 31.0.50; csharp-ts-mode does not fontify variable-use consistently

From: Jostein Kjønigsen <[email-masked]>
Date: Thu, 11 Sep 2025 09:53:55 +0200

> On 10 Sep 2025, at 09:07, Yuan Fu <[email-masked]> wrote:
> 
> 
>>>> 
>>>> Can you correlate the syntactic elements with the guidelines in the
>>>> doc string of treesit-font-lock-level?
>> 
>> I'll get back to this once, we're me and Yuan has reached an agreement on the things below.
>> 

I think this should be good now. I've moved the lambda-declaration down into the "function" section, making features semantically contained. 

You OK with this, Eli?

> 
> If you mention it in NEWS I think we’re good.

Done

> 
> If that’s a common practice and you think it looks good, let’s do it.

Done

> Yeah adding a csharp-ts-mode-attribute-face (with inherits variable-use-face) would be good. We don’t need to bother with csharp-ts-mode-attribute-bracket-face, that feels too much customization to me ;-)
> 
> Yuan

Done.

Attached is a patch which I think should address all of the above concerns. Let me know what you think!

￼

—
Kind Regards
Jostein Kjønigsen